Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface ClusterRuntimeMBean

public interface ClusterRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring a server's view of the members of a WebLogic cluster within a WebLogic domain.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`int` | `getAliveServerCount()` Returns the current total number of alive servers in this cluster.
`long` | `getForeignFragmentsDroppedCount()` Answer the number of fragments that originated in foreign domains/cluster that use the same multicast address.
`long` | `getFragmentsReceivedCount()` Returns the total number of multicast messages received on this server from the cluster.
`long` | `getFragmentsSentCount()` Returns the total number of multicast fragments sent from this server into the cluster.
`long` | `getMulticastMessagesLostCount()` Returns the total number of in-coming multicast messages that were lost according to this server.
`long` | `getPrimaryCount()` Answer the number of object that the local server hosts as primaries.
`long` | `getResendRequestsCount()` Returns the number of state-delta messages that had to be resent because a receiving server in the cluster missed a message.
`java.lang.String[]` | `getSecondaryDistributionNames()` Answer the names of the remote servers (e.g.
`java.lang.String[]` | `getServerNames()` Returns the names of the servers in the cluster.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getAliveServerCount

    public int getAliveServerCount()

  Returns the current total number of alive servers in this cluster.

  Returns:
    The aliveServerCount value

### getResendRequestsCount

    public long getResendRequestsCount()

  Returns the number of state-delta messages that had to be resent because a receiving server in the cluster missed a message.

  Returns:
    The resendRequestsCount value

### getFragmentsSentCount

    public long getFragmentsSentCount()

  Returns the total number of multicast fragments sent from this server into the cluster.

  Returns:
    The fragmentsSentCount value

### getFragmentsReceivedCount

    public long getFragmentsReceivedCount()

  Returns the total number of multicast messages received on this server from the cluster.

  Returns:
    The fragmentsReceivedCount value

### getMulticastMessagesLostCount

    public long getMulticastMessagesLostCount()

  Returns the total number of in-coming multicast messages that were lost according to this server.

  Returns:
    The multicastMessagesLostCount value

### getServerNames

    public java.lang.String[] getServerNames()

  Returns the names of the servers in the cluster.

  Returns:
    The serverNames value

### getSecondaryDistributionNames

    public java.lang.String[] getSecondaryDistributionNames()

  Answer the names of the remote servers (e.g. myserver) of which the local server is hosting secondary objects. The name is appended with a number to indicate the number of secondaries hosted on behalf of that server.

  Returns:
    The secondaryDistributionNames value

### getPrimaryCount

    public long getPrimaryCount()

  Answer the number of object that the local server hosts as primaries.

  Returns:
    The primaryCount value

### getForeignFragmentsDroppedCount

    public long getForeignFragmentsDroppedCount()

  Answer the number of fragments that originated in foreign domains/cluster that use the same multicast address.

  Returns:
    The foreignFragmentsDroppedCount value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD